Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2
Class GlacierContentHandle

    java.lang.Object
      rice.p2p.glacier.v2.GlacierContentHandle

All Implemented Interfaces:
  java.io.Serializable, GCPastContentHandle, PastContentHandle

    public class GlacierContentHandle

extends java.lang.Object
implements GCPastContentHandle

See Also:
  Serialized Form

Field Summary
`protected Id` | `id`
`protected Manifest` | `manifest`
`protected NodeHandle` | `nodeHandle`
`protected long` | `version`

Constructor Summary
`GlacierContentHandle(Id id, long version, NodeHandle nodeHandle, Manifest manifest)`

Method Summary
`long` | `getExpiration()` Returns the current expiration time of this object.
`Id` | `getId()` get the id of the PastContent object associated with this handle
`Manifest` | `getManifest()`
`NodeHandle` | `getNodeHandle()` get the NodeHandle of the Past node on which the object associated with this handle is stored
`long` | `getVersion()` Returns the version number associated with this PastContentHandle - version numbers are designed to be monotonically increasing numbers which signify different versions of the same object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected Id id

### nodeHandle

    protected NodeHandle nodeHandle

### manifest

    protected Manifest manifest

### version

    protected long version

Constructor Detail

### GlacierContentHandle

    public GlacierContentHandle(Id id,
                                long version,
                                NodeHandle nodeHandle,
                                Manifest manifest)

Method Detail

### getId

    public Id getId()

  Description copied from interface: `PastContentHandle`
  get the id of the PastContent object associated with this handle

  Specified by:
    `getId` in interface `PastContentHandle`
  Returns:
    the id

### getNodeHandle

    public NodeHandle getNodeHandle()

  Description copied from interface: `PastContentHandle`
  get the NodeHandle of the Past node on which the object associated with this handle is stored

  Specified by:
    `getNodeHandle` in interface `PastContentHandle`
  Returns:
    the id

### getVersion

    public long getVersion()

  Description copied from interface: `GCPastContentHandle`
  Returns the version number associated with this PastContentHandle - version numbers are designed to be monotonically increasing numbers which signify different versions of the same object.

  Specified by:
    `getVersion` in interface `GCPastContentHandle`
  Returns:
    The version number of this object

### getExpiration

    public long getExpiration()

  Description copied from interface: `GCPastContentHandle`
  Returns the current expiration time of this object.

  Specified by:
    `getExpiration` in interface `GCPastContentHandle`
  Returns:
    The current expiration time of this object

### getManifest

    public Manifest getManifest()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.